---
title: Prepare a container image
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Containers](https://developers.cloudflare.com/api/go/resources/containers)

[Images](https://developers.cloudflare.com/api/go/resources/containers/subresources/images)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Prepare a container image

client.Containers.Images.Prepare(ctx, params) (\*[ImagePrepareResponse](<https://developers.cloudflare.com/api/go/resources/containers#(resource)%20containers.images%20%3E%20(model)%20ImagePrepareResponse%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/containers/image-preparations

Idempotently starts or observes preparation of the runtime artifacts required to run one digest-pinned managed container image on Cloudflare’s network. Returns 202 while durable preparation continues and 200 when the image is ready or preparation has reached a terminal error.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

<details>

<summary>

params ImagePrepareParams

</summary>

AccountID param.Field\[string]

Path param: Account identifier.

<a href="#(resource)%20containers.images%20%3E%20(method)%20prepare%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Image param.Field\[string]

Body param: Image url.

<a href="#(resource)%20containers.images%20%3E%20(method)%20prepare%20%3E%20(params)%20default%20%3E%20(param)%20image">Link to this property</a>

</details>

[Link to this property](<#(resource)%20containers.images%20%3E%20(method)%20prepare%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type ImagePrepareResponse struct{…}

Durable preparation state for a container image.

</summary>

Image string

Image url.

<a href="#(resource)%20containers.images%20%3E%20(model)%20ImagePrepareResponse%20%3E%20(schema)%20%3E%20(property)%20image">Link to this property</a>

<details>

<summary>

Status ImagePrepareResponseStatus

Current durable preparation state for a container image.

</summary>

One of the following:

const ImagePrepareResponseStatusPending ImagePrepareResponseStatus = "pending"

<a href="#(resource)%20containers.images%20%3E%20(model)%20ImagePrepareResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

const ImagePrepareResponseStatusReady ImagePrepareResponseStatus = "ready"

<a href="#(resource)%20containers.images%20%3E%20(model)%20ImagePrepareResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

const ImagePrepareResponseStatusError ImagePrepareResponseStatus = "error"

<a href="#(resource)%20containers.images%20%3E%20(model)%20ImagePrepareResponse%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20containers.images%20%3E%20(model)%20ImagePrepareResponse%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

ArtifactDigest stringOptional

Digest of the prepared runtime artifact when status is ready.

<a href="#(resource)%20containers.images%20%3E%20(model)%20ImagePrepareResponse%20%3E%20(schema)%20%3E%20(property)%20artifact_digest">Link to this property</a>

Reason stringOptional

Human-readable pending or terminal error detail.

<a href="#(resource)%20containers.images%20%3E%20(model)%20ImagePrepareResponse%20%3E%20(schema)%20%3E%20(property)%20reason">Link to this property</a>

</details>

[Link to this property](<#(resource)%20containers.images%20%3E%20(model)%20ImagePrepareResponse%20%3E%20(schema)>)

### Prepare a container image

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/containers"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Containers.Images.Prepare(context.TODO(), containers.ImagePrepareParams{
    AccountID: cloudflare.F("account-123"),
    Image: cloudflare.F("image"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Image)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "image": "image",
    "status": "pending",
    "artifact_digest": "artifact_digest",
    "reason": "reason"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "image": "image",
    "status": "pending",
    "artifact_digest": "artifact_digest",
    "reason": "reason"
  },
  "success": true
}
```